#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: free
version: 5.0.2
id: free-5.0.2-1JhRoy8hgYCFzlJq7R2fI5
key: free-5.0.2-1JhRoy8hgYCFzlJq7R2fI5
license: BSD-3-Clause
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
abi: 963b86f8e46c22c05a726d3340d573b2
exposed: True
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Fast
    Control.Applicative.Free.Final Control.Applicative.Trans.Free
    Control.Comonad.Cofree Control.Comonad.Cofree.Class
    Control.Comonad.Trans.Cofree Control.Comonad.Trans.Coiter
    Control.Monad.Free Control.Monad.Free.Ap Control.Monad.Free.Church
    Control.Monad.Free.Class Control.Monad.Free.TH
    Control.Monad.Trans.Free Control.Monad.Trans.Free.Ap
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
hidden-modules: Data.Functor.Classes.Compat
import-dirs: /usr/lib/ghc-8.4.2/site-local/free-5.0.2
library-dirs: /usr/lib/ghc-8.4.2/site-local/free-5.0.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/free-5.0.2
hs-libraries: HSfree-5.0.2-1JhRoy8hgYCFzlJq7R2fI5
includes:
    free-common.h
depends:
    base-4.11.1.0 bifunctors-5.5.2-y0Jo6YzcBhDmsrSD2U0uI
    comonad-5.0.3-F1dqdMVuZCx2ZNE5v2Mffo
    distributive-0.5.3-8D3UFntN6SOi9DlWQo6ob mtl-2.2.2
    profunctors-5.2.2-JpFrDL5IpG6FCg91QT9bL
    semigroupoids-5.2.2-3XWJxW11hq52AghnA7Hdjp transformers-0.5.5.0
    transformers-base-0.4.5.2-B43Gv9BQzaL3TVuXdqmztg
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
    template-haskell-2.13.0.0 exceptions-0.8.3-6WkrztLwxRv2NB3qEvHVbf
    containers-0.5.11.0
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             bifunctors-5.5.2-y0Jo6YzcBhDmsrSD2U0uI=2071d8d7e0c4e923ebeebc577a38c729
             comonad-5.0.3-F1dqdMVuZCx2ZNE5v2Mffo=3f77f5c5c66513479be6f1e8575ceaed
             distributive-0.5.3-8D3UFntN6SOi9DlWQo6ob=c7bfa06b32830684f4d81cfb4a621151
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             profunctors-5.2.2-JpFrDL5IpG6FCg91QT9bL=bc130c4fe87e376dae451eed2be1e8d7
             semigroupoids-5.2.2-3XWJxW11hq52AghnA7Hdjp=c753a1aa1fc173655e4e9dbf8ef9b800
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             transformers-base-0.4.5.2-B43Gv9BQzaL3TVuXdqmztg=81fed98938a0cfae65316abd9f062c0f
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=63a0e01576545fb684fe201dfb63f95d
             template-haskell-2.13.0.0=b25d144eee230069f091d0d8982b331b
             exceptions-0.8.3-6WkrztLwxRv2NB3qEvHVbf=90dd74da021381146ba64944278df775
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
haddock-interfaces: /usr/share/doc/haskell-free/html/free.haddock
haddock-html: /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

